# TaxSessionsPublicController_GenerateGLRecon

Triggers GL reconciliation generation for the specified tax session.

`PUT /api/v1/TaxSessions/GenerateGLRecon`

**API:** Excise Platform API
**Tag:** Tax Sessions
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/Tax%20Sessions/TaxSessionsPublicController_GenerateGLRecon/

## Description

Triggers generation of General Ledger (GL) reconciliation data for the tax session identified
by HeaderId and Sequence. The GL reconciliation process applies active schedule rate records
and creates journal entries. The company account must have General Ledger Reconciliation active.
Generation is not permitted if the tax session is locked.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `headerId` | integer | query | Yes | The header id of the specified tax session. |
| `sequence` | integer | query | No | The sequence of the specified tax session (Default: 0). |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | GL reconciliation generation has been queued successfully. |  |
| 400 | The HeaderId/Sequence is invalid, GL Recon is not licensed/active, or the session is locked. |  |
| 401 | Authentication credentials are incorrect. |  |

## Example Request

```bash
curl -X PUT "https://excise.avalara.com/api/v1/TaxSessions/GenerateGLRecon" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```